Subject: Re: [PATCH] t1410: check files and missing paths after reflog rewind

From: Junio C Hamano <[email-masked]>
Date: Sun, 11 Jan 2026 10:41:32 -0800

Pushkar Singh <[email-masked]> writes:

> Subject: [PATCH] t1410: check files and missing paths after reflog rewind

That sounds as if the original did not check these things after
"reflog rewind" and this patch is about correcting it, doesn't it?

That is a bit different from what is really happening in this patch.

> Replace raw `test -f` and `! test -f` checks in the rewind test with
> `test_path_is_file` and `test_path_is_missing`. This provides clearer
> failure diagnostics and keeps the test consistent with the rest of
> the test suite.

On the other hand, this describes what the patch does nicely.